Get account analytics
Retrieve build and screenshot metrics for an account. The personal access token must be scoped to the account.
Retrieve build and screenshot metrics for an account. The personal access token must be scoped to the account.
Authenticate as a user with a personal access token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <personal-access-token>Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.
In: header
Path Parameters
Slug of the account to retrieve analytics for.
1 <= lengthQuery Parameters
Start of the analytics period, as an ISO 8601 datetime.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$date-timeEnd of the analytics period, as an ISO 8601 datetime. Defaults to the current time.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$date-timeTime period used to group each series data point.
Value in
- "day"
- "week"
- "month"
Optional project name filter. Pass one value or repeat the parameter for multiple projects.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/accounts/string/analytics?from=2019-08-24T14%3A15%3A22Z&groupBy=day"{ "screenshots": { "series": [ { "total": -9007199254740991, "projects": { "property1": -9007199254740991, "property2": -9007199254740991 }, "ts": -9007199254740991 } ], "all": { "total": -9007199254740991, "projects": { "property1": -9007199254740991, "property2": -9007199254740991 } }, "projects": [ { "id": "string", "name": "string" } ] }, "builds": { "series": [ { "total": -9007199254740991, "projects": { "property1": -9007199254740991, "property2": -9007199254740991 }, "changesDetected": -9007199254740991, "noChanges": -9007199254740991, "accepted": -9007199254740991, "rejected": -9007199254740991, "ts": -9007199254740991 } ], "all": { "total": -9007199254740991, "projects": { "property1": -9007199254740991, "property2": -9007199254740991 }, "changesDetected": -9007199254740991, "noChanges": -9007199254740991, "accepted": -9007199254740991, "rejected": -9007199254740991 }, "projects": [ { "id": "string", "name": "string" } ] }}